Posts by Saharaharry

    Das bekomme ich, wenn ich thonny im Terminalfenster starte : (Das war schon mal einen gute Idee)

    pi@raspberrypi:/usr/share/applications $ thonny

    ERROR:root:Internal launch or mainloop error

    Traceback (most recent call last):

    File "/usr/lib/python3/dist-packages/thonny/__init__.py", line 165, in launch

    bench = workbench.Workbench()

    File "/usr/lib/python3/dist-packages/thonny/workbench.py", line 130, in __init__

    self._init_configuration()

    File "/usr/lib/python3/dist-packages/thonny/workbench.py", line 231, in _init_configuration

    self._configuration_manager = try_load_configuration(thonny.CONFIGURATION_FILE)

    File "/usr/lib/python3/dist-packages/thonny/config.py", line 25, in try_load_configuration

    mgr = ConfigurationManager(filename)

    File "/usr/lib/python3/dist-packages/thonny/config.py", line 53, in __init__

    self._ini.read_file(fp)

    File "/usr/lib/python3.7/configparser.py", line 717, in read_file

    self._read(f, source)

    File "/usr/lib/python3.7/configparser.py", line 1014, in _read

    for lineno, line in enumerate(fp, start=1):

    File "/usr/lib/python3.7/codecs.py", line 322, in decode

    (result, consumed) = self._buffer_decode(data, self.errors, final)

    UnicodeDecodeError: 'utf-8' codec can't decode byte 0xa6 in position 28: invalid start byte

    Traceback (most recent call last):

    File "/usr/lib/python3/dist-packages/thonny/__init__.py", line 165, in launch

    bench = workbench.Workbench()

    File "/usr/lib/python3/dist-packages/thonny/workbench.py", line 130, in __init__

    self._init_configuration()

    File "/usr/lib/python3/dist-packages/thonny/workbench.py", line 231, in _init_configuration

    self._configuration_manager = try_load_configuration(thonny.CONFIGURATION_FILE)

    File "/usr/lib/python3/dist-packages/thonny/config.py", line 25, in try_load_configuration

    mgr = ConfigurationManager(filename)

    File "/usr/lib/python3/dist-packages/thonny/config.py", line 53, in __init__

    self._ini.read_file(fp)

    File "/usr/lib/python3.7/configparser.py", line 717, in read_file

    self._read(f, source)

    File "/usr/lib/python3.7/configparser.py", line 1014, in _read

    for lineno, line in enumerate(fp, start=1):

    File "/usr/lib/python3.7/codecs.py", line 322, in decode

    (result, consumed) = self._buffer_decode(data, self.errors, final)

    UnicodeDecodeError: 'utf-8' codec can't decode byte 0xa6 in position 28: invalid start byte


    During handling of the above exception, another exception occurred:


    Traceback (most recent call last):

    File "/usr/bin/thonny", line 11, in <module>

    load_entry_point('thonny==3.2.6', 'gui_scripts', 'thonny')()

    File "/usr/lib/python3/dist-packages/thonny/__init__.py", line 185, in launch

    ui_utils.show_dialog(dlg, get_workbench())

    File "/usr/lib/python3/dist-packages/thonny/ui_utils.py", line 2087, in show_dialog

    get_workbench().event_generate("WindowFocusOut")

    File "/usr/lib/python3/dist-packages/thonny/workbench.py", line 1587, in event_generate

    if sequence in self._event_handlers:

    File "/usr/lib/python3.7/tkinter/__init__.py", line 2101, in __getattr__

    return getattr(self.tk, attr)

    File "/usr/lib/python3.7/tkinter/__init__.py", line 2101, in __getattr__

    return getattr(self.tk, attr)

    File "/usr/lib/python3.7/tkinter/__init__.py", line 2101, in __getattr__

    return getattr(self.tk, attr)

    [Previous line repeated 495 more times]

    RecursionError: maximum recursion depth exceeded while calling a Python object

    pi@raspberrypi:/usr/share/applications $

    Beim Starten von Thonny erscheint die Sanduhr und verschwindet nach einigen Sekunden. Das Fenster geht nicht auf. Es gibt keine Fehlermeldung. Auch in log-Files nichts gefunden.

    Wer kann mir weiterhelfen oder hat eine Idee ? Ich bin ratlos.